Internal Error while create new project
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

while I am going to login the system , create a new project or a new user,it will give internal error.

the error on the page like this:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

And the log like this:

Processing by WelcomeController#index as HTML

Current user: admin (id=1)

Rendered welcome/index.html.erb within layouts/base (4.6ms)

Completed 500 Internal Server Error in 28.3ms

ActionView::Template::Error (undefined method `create' for Psych::Visitors::YAMLTree:Class):

9: <%= favicon >

10: <= stylesheet_link_tag 'jquery/jquery-ui-1.9.2', 'application', :media => 'all' >

11: <= stylesheet_link_tag 'rtl', :media => 'all' if l(:direction) == 'rtl' >

12: <= javascript_heads >

13: <= heads_for_theme >

14: <= call_hook :view_layouts_base_html_head %>

15: <!-- page specific tags -->

app/models/user.rb:310:in `pref'

app/helpers/application_helper.rb:1291:in `javascript_heads'

app/views/layouts/base.html.erb:12:in `_app_views_layouts_base_html_erb___1235638970148253882_36973120'

The environment of information:

ruby 1.9.3p550

Rails 3.2.19

redmine 2.5.2

History

#1 - 2017-01-22 07:24 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Invalid

Redmine 2.5.2 is not supported.

#2 - 2017-01-23 04:20 - athena tang

- Status changed from Closed to Reopened

what is the meaning of "Redmine 2.5.2 is not supported."?

while there is a running environment which version is Redmine 2.5.2 ,please refer to the attachement

or is the reason that the version of ruby is different?

#3 - 2017-01-23 04:23 - athena tang
the attachement can not be uploaded，the infomation like this:

Environment:

Redmine version                2.5.2.stable

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

clipboard_image_paste          1.8

redmine_issue_checklist        2.0.5

redmine_issue_templates        0.0.9

redmine_knowledgebase          3.0.4

redmine_questions              0.0.5

redmine_testlinklink           1.0.0

#4 - 2017-01-23 09:13 - athena tang

Toshi MARUYAMA wrote:

Redmine 2.5.2 is not supported.

 what is the meaning of "Redmine 2.5.2 is not supported."?

while there is a running environment which version is Redmine 2.5.2 ,please refer to the information。

or is the reason that the version of ruby is different?

the infomation like this:

Environment:

Redmine version 2.5.2.stable

Ruby version 1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version 3.2.19

Environment production

Database adapter Mysql2

SCM:

Subversion 1.6.11

Git 1.7.1

Filesystem

Redmine plugins:

clipboard_image_paste 1.8

redmine_issue_checklist 2.0.5

redmine_issue_templates 0.0.9

redmine_knowledgebase 3.0.4

redmine_questions 0.0.5

redmine_testlinklink 1.0.0

#5 - 2017-01-23 13:29 - Toshi MARUYAMA

- Status changed from Reopened to Closed

athena tang wrote:

Toshi MARUYAMA wrote:

Redmine 2.5.2 is not supported.

 what is the meaning of "Redmine 2.5.2 is not supported."?

 Download
